Bug 248066 - Gtk widget a11y labeling incomplete
Summary: Gtk widget a11y labeling incomplete
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-12 22:16 UTC by Jared Brothers
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 23:29:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jared Brothers 2007-07-12 22:16:52 UTC
Description of problem:
Text entry widgets are not labeled for accessibility.

Version-Release number of selected component (if applicable):
virt-manager-0.4.0-2.fc7

How reproducible:


Steps to Reproduce:
1. Take a look at the source .glade files in glade-2.
2. Or, look at the tree of widgets using the sniff command from dogtail.
3. 
  
Actual results:
Text widgets have blank labels.
Expected results:
Widgets should all have (unique) non-blank labels.

Additional info:
In addition to accessibility problems, this a roadblock for dogtail automated
test development.

Comment 1 Daniel Berrange 2007-08-29 23:29:35 UTC
This is fixed in the latest upstream release, now in rawhide:

* Wed Aug 29 2007 Daniel P. Berrange <berrange@redhat.com> - 0.5.0-1.fc8
- Updated to 0.5.0 release



Note You need to log in before you can comment on or make changes to this bug.